org.apache.commons.io.comparator

## Class DefaultFileComparator

- java.lang.Object
- - org.apache.commons.io.comparator.AbstractFileComparator
  - - org.apache.commons.io.comparator.DefaultFileComparator

- All Implemented Interfaces:
    Serializable, Comparator<File>

      public class DefaultFileComparator
      extends AbstractFileComparator
      implements Serializable

  Compares two files using the default `File.compareTo(File)` method.

  This comparator can be used to sort lists or arrays of files by using the default file comparison.

  Example of sorting a list of files using the `DEFAULT_COMPARATOR` singleton instance:

             List<File> list = ...
             ((AbstractFileComparator) DefaultFileComparator.DEFAULT_COMPARATOR).sort(list);

  Example of doing a reverse sort of an array of files using the `DEFAULT_REVERSE` singleton instance:

             File[] array = ...
             ((AbstractFileComparator) DefaultFileComparator.DEFAULT_REVERSE).sort(array);

  ## Deprecating Serialization

  Serialization is deprecated and will be removed in 3.0.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<File>` | `DEFAULT_COMPARATOR` Singleton default comparator instance
    `static Comparator<File>` | `DEFAULT_REVERSE` Singleton reverse default comparator instance

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFileComparator()` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(File file1, File file2)` Compares the two files using the `File.compareTo(File)` method.

    - ### Methods inherited from class org.apache.commons.io.comparator.AbstractFileComparator

      `sort, sort, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- - ### Field Detail

    - #### DEFAULT_COMPARATOR

          public static final Comparator<File> DEFAULT_COMPARATOR

      Singleton default comparator instance

    - #### DEFAULT_REVERSE

          public static final Comparator<File> DEFAULT_REVERSE

      Singleton reverse default comparator instance

  - ### Constructor Detail

    - #### DefaultFileComparator

          public DefaultFileComparator()

      Constructs a new instance.

  - ### Method Detail

    - #### compare

          public int compare(File file1,
                             File file2)

      Compares the two files using the `File.compareTo(File)` method.
      Specified by:
        `compare` in interface `Comparator<File>`
      Parameters:
        `file1` - The first file to compare
        `file2` - The second file to compare
      Returns:
        the result of calling file1's `File.compareTo(File)` with file2 as the parameter.